using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationTRT
{
    public class TRT2023
    {
    
    public string INTId = null;
    public bool INTExists = false;
    public int INTCount = 0;
    public int INTOccurrenceIndex = 0;
    public int INTLastOccurrenceIndex = 0;
    public string INTIdentifier = null;
    public string INTIdentifierScheme = null;
        public string INTIdentifierABN = null;
        public DateTime? INTStartDate = null;
        public DateTime? INTEndDate = null;

        /// <summary>
        /// INT:tns:Identifiers.TaxAgentClientReference.Text
        /// </summary>
        public string TRT251 = null;

        /// <summary>
        /// INT:tns:Identifiers.TaxAgentNumber.Identifier
        /// </summary>
        public string TRT2 = null;
    
        public bool DeclarationCollectionExists = false;
        public int DeclarationCollectionCount = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public bool DeclarationCollection_TrueAndCorrect_INTExists = false;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTCount = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTOccurrenceIndex = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Last Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.StatementType.Code
        /// </summary>
        public string TRT390 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? TRT391 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.Statement.Text
        /// </summary>
        public string TRT392 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.Signature.Date
        /// </summary>
        public DateTime? TRT393 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string TRT394 = null;
    
        public bool Declaration_PersonUnstructuredNameCollectionExists = false;
        public int Declaration_PersonUnstructuredNameCollectionCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
         /// </summary>
        public bool Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTExists = false;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Occurrence Index
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTOccurrenceIndex = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Last Occurrence Index
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// INT:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string TRT395 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// INT:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string TRT396 = null;
    
        public bool PersonUnstructuredNameCollectionExists = false;
        public int PersonUnstructuredNameCollectionCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact']
         /// </summary>
        public bool PersonUnstructuredNameCollection_Contact_INTExists = false;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact']
         /// </summary>
        public int PersonUnstructuredNameCollection_Contact_INTCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact'] Occurrence Index
         /// </summary>
        public int PersonUnstructuredNameCollection_Contact_INTOccurrenceIndex = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact'] Last Occurrence Index
         /// </summary>
        public int PersonUnstructuredNameCollection_Contact_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='Contact']
        /// INT:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string TRT397 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='Contact']
        /// INT:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string TRT250 = null;
    
        public bool ElectronicContactTelephoneCollectionExists = false;
        public int ElectronicContactTelephoneCollectionCount = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03']
         /// </summary>
        public bool ElectronicContactTelephoneCollection_03_INTExists = false;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03']
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTCount = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03'] Occurrence Index
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTOccurrenceIndex = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03'] Last Occurrence Index
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Usage.Code
        /// </summary>
        public string TRT335 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.ServiceLine.Code
        /// </summary>
        public string TRT334 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string TRT248 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string TRT249 = null;

        public string RPId = null;
        public bool RPExists = false;
        public int RPCount = 0;
        public int RPOccurrenceIndex = 0;
        public int RPLastOccurrenceIndex = 0;
        public string RPIdentifier = null;
        public string RPIdentifierScheme = null;
        public string RPIdentifierTFN = null;
        public DateTime? RPStartDate = null;
        public DateTime? RPEndDate = null;

        /// <summary>
        /// RP:tns:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string TRT5 = null;

        /// <summary>
        /// RP:tns:Report.TargetFinancial.Year
        /// </summary>
        public int? TRT1 = null;

        /// <summary>
        /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string TRT7 = null;

        /// <summary>
        /// RP:tns:Report.Amendment.Indicator
        /// </summary>
        public bool? TRT414 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentType.Code
        /// </summary>
        public string TRT415 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentReason.Text
        /// </summary>
        public string TRT416 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentSequence.Number
        /// </summary>
        public decimal? TRT417 = null;
    
        public bool OrganisationNameDetailsCollectionExists = false;
        public int OrganisationNameDetailsCollectionCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public bool OrganisationNameDetailsCollection_MN_C_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string TRT363 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string TRT364 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string TRT6 = null;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
         /// </summary>
        public bool OrganisationNameDetailsCollection_MN_P_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_P_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P'] Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_P_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P'] Last Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_P_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string TRT365 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string TRT366 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string TRT8 = null;
    
        public bool AddressDetailsCollectionExists = false;
        public int AddressDetailsCollectionCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public bool AddressDetailsCollection_POS_C_RPExists = false;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public int AddressDetailsCollection_POS_C_RPCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? TRT315 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string TRT321 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string TRT322 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string TRT9 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string TRT306 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string TRT307 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string TRT308 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string TRT10 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string TRT12 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string TRT11 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string TRT367 = null;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
         /// </summary>
        public bool AddressDetailsCollection_POS_P_RPExists = false;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
         /// </summary>
        public int AddressDetailsCollection_POS_P_RPCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P'] Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_P_RPOccurrenceIndex = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P'] Last Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_P_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? TRT317 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string TRT323 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string TRT324 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string TRT14 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string TRT312 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string TRT313 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string TRT314 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string TRT15 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string TRT17 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string TRT16 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string TRT368 = null;
    
        public bool MailRecipientCollectionExists = false;
        public int MailRecipientCollectionCount = 0;
    
        public bool MailRecipient_PersonNameDetailsCollectionExists = false;
        public int MailRecipient_PersonNameDetailsCollectionCount = 0;

         /// <summary>
         /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='MailRecipient']
         /// </summary>
        public bool MailRecipient_PersonNameDetailsCollection_LGL_MailRecipient_RPExists = false;

         /// <summary>
         /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='MailRecipient']
         /// </summary>
        public int MailRecipient_PersonNameDetailsCollection_LGL_MailRecipient_RPCount = 0;

         /// <summary>
         /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='MailRecipient'] Occurrence Index
         /// </summary>
        public int MailRecipient_PersonNameDetailsCollection_LGL_MailRecipient_RPOccurrenceIndex = 0;

         /// <summary>
         /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='MailRecipient'] Last Occurrence Index
         /// </summary>
        public int MailRecipient_PersonNameDetailsCollection_LGL_MailRecipient_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='MailRecipient']
        /// RP:tns:PersonNameDetails.PersonNameType.Code
        /// </summary>
        public string TRT329 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='MailRecipient']
        /// RP:tns:PersonNameDetails.Usage.Code
        /// </summary>
        public string TRT331 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='MailRecipient']
        /// RP:tns:PersonNameDetails.Currency.Code
        /// </summary>
        public string TRT369 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='MailRecipient']
        /// RP:tns:PersonNameDetails.Title.Text
        /// </summary>
        public string TRT19 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='MailRecipient']
        /// RP:tns:PersonNameDetails.NameSuffix.Text
        /// </summary>
        public string TRT21 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='MailRecipient']
        /// RP:tns:PersonNameDetails.FamilyName.Text
        /// </summary>
        public string TRT20 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='MailRecipient']
        /// RP:tns:PersonNameDetails.GivenName.Text
        /// </summary>
        public string TRT22 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='MailRecipient']
        /// RP:tns:PersonNameDetails.OtherGivenName.Text
        /// </summary>
        public string TRT23 = null;
    
        public bool MailRecipient_OrganisationNameDetailsCollectionExists = false;
        public int MailRecipient_OrganisationNameDetailsCollectionCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public bool MailRecipient_OrganisationNameDetailsCollection_MN_C_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public int MailRecipient_OrganisationNameDetailsCollection_MN_C_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int MailRecipient_OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int MailRecipient_OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string TRT330 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string TRT370 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string TRT24 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient
        /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string TRT25 = null;
    
        public bool MailRecipient_ElectronicContactTelephoneCollectionExists = false;
        public int MailRecipient_ElectronicContactTelephoneCollectionCount = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03']
         /// </summary>
        public bool MailRecipient_ElectronicContactTelephoneCollection_03_RPExists = false;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03']
         /// </summary>
        public int MailRecipient_ElectronicContactTelephoneCollection_03_RPCount = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03'] Occurrence Index
         /// </summary>
        public int MailRecipient_ElectronicContactTelephoneCollection_03_RPOccurrenceIndex = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03'] Last Occurrence Index
         /// </summary>
        public int MailRecipient_ElectronicContactTelephoneCollection_03_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.Usage.Code
        /// </summary>
        public string TRT333 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.ServiceLine.Code
        /// </summary>
        public string TRT371 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string TRT26 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:MailRecipient/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string TRT27 = null;

        /// <summary>
        /// RP:tns:Elections.FamilyTrustElectionStatus.Year
        /// </summary>
        public int? TRT28 = null;

        /// <summary>
        /// RP:tns:Elections.FamilyTrustElectionRevocation.Code
        /// </summary>
        public string TRT29 = null;

        /// <summary>
        /// RP:tns:Elections.InterposedEntityElectionStatus.Year
        /// </summary>
        public int? TRT30 = null;

        /// <summary>
        /// RP:tns:Elections.InterposedEntityElectionRevocation.Code
        /// </summary>
        public string TRT31 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.OrganisationType.Code
        /// </summary>
        public string TRT32 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.CharitableOrganisation.Indicator
        /// </summary>
        public bool? TRT33 = null;

        /// <summary>
        /// RP:tns:PersonDemographicDetails.Death.Date
        /// </summary>
        public DateTime? TRT34 = null;

        /// <summary>
        /// RP:tns:Assets.Investment.CrossOtherCCIVSubfund.Indicator
        /// </summary>
        public bool? TRT566 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.ManagedInvestmentTrust.Indicator
        /// </summary>
        public bool? TRT520 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.ManagedInvestmentTrustType.Code
        /// </summary>
        public string TRT521 = null;

        /// <summary>
        /// RP:tns:Elections.ManagedInvestmentTrusts.Indicator
        /// </summary>
        public bool? TRT352 = null;

        /// <summary>
        /// RP:tns:Report.Statement.Summary.PaymentRefundOrNil.Code
        /// </summary>
        public string TRT35 = null;

        /// <summary>
        /// RP:tns:Lodgment.FinalReturn.Indicator
        /// </summary>
        public bool? TRT36 = null;
    
        public bool FinancialInstitutionAccountCollectionExists = false;
        public int FinancialInstitutionAccountCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.BankStateBranch.Number
        /// </summary>
        public string TRT38 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        /// </summary>
        public string TRT39 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        /// </summary>
        public string TRT40 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text
        /// </summary>
        public string TRT406 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.FinancialInstitutionName.Text
        /// </summary>
        public string TRT407 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.MainIncomeActivity.Description
        /// </summary>
        public string TRT41 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.OrganisationIndustry2006Extended.Code
        /// </summary>
        public string TRT42 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.ActivityEvent.Code
        /// </summary>
        public string TRT43 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.TaxConsolidationStatus.Indicator
        /// </summary>
        public bool? TRT44 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.SignificantGlobalEntityStatus.Indicator
        /// </summary>
        public bool? TRT487 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.CountryByCountryReportingEntityStatus.Indicator
        /// </summary>
        public bool? TRT550 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.Event.Indicator
        /// </summary>
        public bool? TRT131 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator
        /// </summary>
        public bool? TRT454 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        /// </summary>
        public List<string> TRT448Collection = null;

        /// <summary>
        /// RP:tns:Income.CapitalGainsNet.Amount
        /// </summary>
        public decimal? TRT133 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForCapitalGainsWithheldFromForeignResidents.Amount
        /// </summary>
        public decimal? TRT480 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TaxLossesDeducted.Amount
        /// </summary>
        public decimal? TRT144 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        /// </summary>
        public bool? TRT148 = null;

        /// <summary>
        /// RP:tns:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
        /// </summary>
        public bool? TRT449 = null;

        /// <summary>
        /// RP:tns:Residency.TaxPurposesPersonStatus.Indicator
        /// </summary>
        public bool? TRT149 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.TransactionsWithTaxHavenCountries.Indicator
        /// </summary>
        public bool? TRT151 = null;

        /// <summary>
        /// RP:tns:Income.PersonalServicesIncomeIncluded.Indicator
        /// </summary>
        public bool? TRT155 = null;

        /// <summary>
        /// RP:tns:Income.PersonalServicesIncome.Total.Amount
        /// </summary>
        public decimal? TRT450 = null;

        /// <summary>
        /// RP:tns:Expense.PersonalServicesIncome.Deduction.Amount
        /// </summary>
        public decimal? TRT451 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator
        /// </summary>
        public bool? TRT452 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator
        /// </summary>
        public bool? TRT453 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator
        /// </summary>
        public bool? TRT455 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator
        /// </summary>
        public bool? TRT456 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator
        /// </summary>
        public bool? TRT457 = null;

        /// <summary>
        /// RP:tns:Capital.Gains.NonConcessionalManagedInvestmentTrustIncome.Amount
        /// </summary>
        public decimal? TRT535 = null;

        /// <summary>
        /// RP:tns:Capital.Gains.ExcludedFromNonConcessionalManagedInvestmentTrustIncome.Amount
        /// </summary>
        public decimal? TRT536 = null;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public bool OrganisationNameDetailsCollection_MTR_C_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public int OrganisationNameDetailsCollection_MTR_C_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MTR_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MTR_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string TRT372 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string TRT373 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MTR'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string TRT161 = null;

         /// <summary>
         /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public bool AddressDetailsCollection_BUS_C_RPExists = false;

         /// <summary>
         /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public int AddressDetailsCollection_BUS_C_RPCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_BUS_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_BUS_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? TRT316 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string TRT325 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string TRT326 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string TRT162 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string TRT309 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string TRT310 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string TRT311 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string TRT163 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string TRT165 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string TRT164 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string TRT374 = null;

        /// <summary>
        /// RP:tns:Expense.Purchases.AndOtherCosts.Amount
        /// </summary>
        public decimal? TRT167 = null;

        /// <summary>
        /// RP:tns:Remuneration.WagesAndSalaries.Total.Amount
        /// </summary>
        public decimal? TRT172 = null;

        /// <summary>
        /// RP:tns:Remuneration.WagesAndSalariesAction.Code
        /// </summary>
        public string TRT173 = null;

        /// <summary>
        /// RP:tns:Remuneration.PaymentToRelatedPartiesGross.Amount
        /// </summary>
        public decimal? TRT174 = null;

        /// <summary>
        /// RP:tns:Remuneration.FringeBenefits.EmployeeContribution.Amount
        /// </summary>
        public decimal? TRT181 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Code
        /// </summary>
        public string TRT187 = null;

        /// <summary>
        /// RP:tns:Elections.TradingStock.Indicator
        /// </summary>
        public bool? TRT188 = null;

        /// <summary>
        /// RP:tns:Income.AggregatedTurnoverRange.Code
        /// </summary>
        public string TRT563 = null;

        /// <summary>
        /// RP:tns:Income.AggregatedTurnover.Amount
        /// </summary>
        public decimal? TRT564 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount
        /// </summary>
        public decimal? TRT175 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciatingAssets.OtherFirstDeducted.Amount
        /// </summary>
        public decimal? TRT176 = null;

        /// <summary>
        /// RP:tns:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator
        /// </summary>
        public bool? TRT458 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssetsOptOut.Code
        /// </summary>
        public string TRT551 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssetsOptOut.Number
        /// </summary>
        public decimal? TRT552 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssetsOptOut.Amount
        /// </summary>
        public decimal? TRT553 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssets.Amount
        /// </summary>
        public decimal? TRT554 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssets.Number
        /// </summary>
        public decimal? TRT555 = null;

        /// <summary>
        /// RP:tns:Expense.SubsequentYearAcceleratedDepreciationDeductionsForAssets.Amount
        /// </summary>
        public decimal? TRT561 = null;

        /// <summary>
        /// RP:tns:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator
        /// </summary>
        public bool? TRT459 = null;

        /// <summary>
        /// RP:tns:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount
        /// </summary>
        public decimal? TRT460 = null;

        /// <summary>
        /// RP:tns:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount
        /// </summary>
        public decimal? TRT461 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount
        /// </summary>
        public decimal? TRT462 = null;

        /// <summary>
        /// RP:tns:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount
        /// </summary>
        public decimal? TRT177 = null;

        /// <summary>
        /// RP:tns:Assets.DepreciatingAssets.OtherTerminationValue.Amount
        /// </summary>
        public decimal? TRT178 = null;

        /// <summary>
        /// RP:tns:Expense.ProjectPoolAllowableDeduction.Amount
        /// </summary>
        public decimal? TRT179 = null;

        /// <summary>
        /// RP:tns:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
        /// </summary>
        public decimal? TRT180 = null;

        /// <summary>
        /// RP:tns:Expense.LandcareOperationsAcceleratedDepreciation.Amount
        /// </summary>
        public decimal? TRT184 = null;

        /// <summary>
        /// RP:tns:Expense.EmployeeTrainingBonus.Amount
        /// </summary>
        public decimal? TRT567 = null;

        /// <summary>
        /// RP:tns:Expense.TechnologyInvestmentBonus.Amount
        /// </summary>
        public decimal? TRT568 = null;

        /// <summary>
        /// RP:tns:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
        /// </summary>
        public decimal? TRT340 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetRefundableOther.Amount
        /// </summary>
        public decimal? TRT463 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetRefundableOther.Code
        /// </summary>
        public string TRT464 = null;

        /// <summary>
        /// RP:tns:IncomeTax.MedicareLevy.BeneficiarySpouseTaxableIncome.Amount
        /// </summary>
        public decimal? TRT194 = null;

        /// <summary>
        /// RP:tns:IncomeTax.MedicareLevy.DependentChildrenAndStudents.Count
        /// </summary>
        public decimal? TRT195 = null;

        /// <summary>
        /// RP:tns:IncomeTax.MedicareLevy.ExemptionFullDays.Count
        /// </summary>
        public decimal? TRT196 = null;

        /// <summary>
        /// RP:tns:IncomeTax.MedicareLevy.ExemptionFullDays.Code
        /// </summary>
        public string TRT197 = null;

        /// <summary>
        /// RP:tns:IncomeTax.MedicareLevy.ExemptionHalfDays.Count
        /// </summary>
        public decimal? TRT198 = null;

        /// <summary>
        /// RP:tns:Income.TrustEstateIncome.Amount
        /// </summary>
        public decimal? TRT440 = null;
    
        public bool StatementOfDistributionToBeneficiaryCollectionExists = false;
        public int StatementOfDistributionToBeneficiaryCollectionCount = 0;

        public List<StatementOfDistributionToBeneficiary> StatementOfDistributionToBeneficiaryCollection = null;

        public class StatementOfDistributionToBeneficiary 
        {
            public int OccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:Identifiers.TaxFileNumber.Identifier
            /// </summary>
            public string TRT211 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:Identifiers.TaxFileNumberTrailingNumeric.Identifier
            /// </summary>
            public string TRT212 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.BeneficiaryEntityType.Code
            /// </summary>
            public string TRT432 = null;

            public bool StatementOfDistributionToBeneficiary_OrganisationNameDetailsCollectionExists = false;
            public int StatementOfDistributionToBeneficiary_OrganisationNameDetailsCollectionCount = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
             /// </summary>
            public bool StatementOfDistributionToBeneficiary_OrganisationNameDetailsCollection_MN_C_RPExists = false;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
             /// </summary>
            public int StatementOfDistributionToBeneficiary_OrganisationNameDetailsCollection_MN_C_RPCount = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int StatementOfDistributionToBeneficiary_OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int StatementOfDistributionToBeneficiary_OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
            /// </summary>
            public string TRT380 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.Currency.Code
            /// </summary>
            public string TRT381 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:OrganisationNameDetails
            /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
            /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
            /// </summary>
            public string TRT203 = null;

            public bool StatementOfDistributionToBeneficiary_PersonNameDetailsCollectionExists = false;
            public int StatementOfDistributionToBeneficiary_PersonNameDetailsCollectionCount = 0;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
             /// </summary>
            public bool StatementOfDistributionToBeneficiary_PersonNameDetailsCollection_LGL_Contact_RPExists = false;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
             /// </summary>
            public int StatementOfDistributionToBeneficiary_PersonNameDetailsCollection_LGL_Contact_RPCount = 0;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'] Occurrence Index
             /// </summary>
            public int StatementOfDistributionToBeneficiary_PersonNameDetailsCollection_LGL_Contact_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact'] Last Occurrence Index
             /// </summary>
            public int StatementOfDistributionToBeneficiary_PersonNameDetailsCollection_LGL_Contact_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.PersonNameType.Code
            /// </summary>
            public string TRT375 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.Usage.Code
            /// </summary>
            public string TRT376 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.Currency.Code
            /// </summary>
            public string TRT377 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.Title.Text
            /// </summary>
            public string TRT378 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.NameSuffix.Text
            /// </summary>
            public string TRT379 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.FamilyName.Text
            /// </summary>
            public string TRT200 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.GivenName.Text
            /// </summary>
            public string TRT201 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:PersonNameDetails
            /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='Contact']
            /// RP:tns:PersonNameDetails.OtherGivenName.Text
            /// </summary>
            public string TRT202 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:PersonDemographicDetails.Birth.Date
            /// </summary>
            public DateTime? TRT213 = null;

            public bool StatementOfDistributionToBeneficiary_AddressDetailsCollectionExists = false;
            public int StatementOfDistributionToBeneficiary_AddressDetailsCollectionCount = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
             /// </summary>
            public bool StatementOfDistributionToBeneficiary_AddressDetailsCollection_RES_C_RPExists = false;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
             /// </summary>
            public int StatementOfDistributionToBeneficiary_AddressDetailsCollection_RES_C_RPCount = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int StatementOfDistributionToBeneficiary_AddressDetailsCollection_RES_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int StatementOfDistributionToBeneficiary_AddressDetailsCollection_RES_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.OverseasAddress.Indicator
            /// </summary>
            public bool? TRT320 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Usage.Code
            /// </summary>
            public string TRT327 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Currency.Code
            /// </summary>
            public string TRT328 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line1.Text
            /// </summary>
            public string TRT205 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line2.Text
            /// </summary>
            public string TRT206 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line3.Text
            /// </summary>
            public string TRT318 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line4.Text
            /// </summary>
            public string TRT319 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.LocalityName.Text
            /// </summary>
            public string TRT207 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Postcode.Text
            /// </summary>
            public string TRT209 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.StateOrTerritory.Code
            /// </summary>
            public string TRT208 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='RES'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Country.Code
            /// </summary>
            public string TRT382 = null;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
             /// </summary>
            public bool StatementOfDistributionToBeneficiary_AddressDetailsCollection_BUS_C_RPExists = false;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
             /// </summary>
            public int StatementOfDistributionToBeneficiary_AddressDetailsCollection_BUS_C_RPCount = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C'] Occurrence Index
             /// </summary>
            public int StatementOfDistributionToBeneficiary_AddressDetailsCollection_BUS_C_RPOccurrenceIndex = 0;
    
             /// <summary>
             /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
             /// </summary>
            public int StatementOfDistributionToBeneficiary_AddressDetailsCollection_BUS_C_RPLastOccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.OverseasAddress.Indicator
            /// </summary>
            public bool? TRT508 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Usage.Code
            /// </summary>
            public string TRT509 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Currency.Code
            /// </summary>
            public string TRT510 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line1.Text
            /// </summary>
            public string TRT511 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line2.Text
            /// </summary>
            public string TRT512 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line3.Text
            /// </summary>
            public string TRT513 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Line4.Text
            /// </summary>
            public string TRT514 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.LocalityName.Text
            /// </summary>
            public string TRT515 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Postcode.Text
            /// </summary>
            public string TRT516 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.StateOrTerritory.Code
            /// </summary>
            public string TRT517 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AddressDetails
            /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
            /// RP:tns:AddressDetails.Country.Code
            /// </summary>
            public string TRT519 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.AssessmentCalculation.Code
            /// </summary>
            public string TRT214 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:Income.TrustEstateIncomeShare.Amount
            /// </summary>
            public decimal? TRT441 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
            /// </summary>
            public decimal? TRT476 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            /// </summary>
            public decimal? TRT217 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RPPrim:tns:Income.BeneficiaryShare.Amount
            /// </summary>
            public decimal? TRT218 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RPPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
            /// </summary>
            public decimal? TRT537 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RPPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
            /// </summary>
            public decimal? TRT538 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RPNonPrim:tns:Income.BeneficiaryShare.Amount
            /// </summary>
            public decimal? TRT219 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RPNonPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
            /// </summary>
            public decimal? TRT539 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RPNonPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
            /// </summary>
            public decimal? TRT540 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
            /// </summary>
            public decimal? TRT220 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:Income.TaxableMinorBeneficiary.Amount
            /// </summary>
            public decimal? TRT549 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:Income.DistributionFranked.Amount
            /// </summary>
            public decimal? TRT442 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
            /// </summary>
            public decimal? TRT221 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount
            /// </summary>
            public decimal? TRT222 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount
            /// </summary>
            public decimal? TRT419 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:Income.CapitalGainsNet.Amount
            /// </summary>
            public decimal? TRT223 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:Capital.Gains.NonConcessionalManagedInvestmentTrustIncome.Amount
            /// </summary>
            public decimal? TRT541 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:Capital.Gains.ExcludedFromNonConcessionalManagedInvestmentTrustIncome.Amount
            /// </summary>
            public decimal? TRT542 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForCapitalGainsWithheldFromForeignResidents.Amount
            /// </summary>
            public decimal? TRT481 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.AttributedForeignIncome.Amount
            /// </summary>
            public decimal? TRT224 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:Income.InternationalDealings.Net.Amount
            /// </summary>
            public decimal? TRT225 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:Income.InternationalDealings.TaxOffset.Amount
            /// </summary>
            public decimal? TRT226 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
            /// </summary>
            public decimal? TRT342 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.ExplorationCreditsDistributed.Amount
            /// </summary>
            public decimal? TRT465 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RPLimitedPartners:tns:TaxOffsetClaim.NonRefundableOther.Amount
            /// </summary>
            public decimal? TRT502 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RPInvestor:tns:TaxOffsetClaim.NonRefundableOther.Amount
            /// </summary>
            public decimal? TRT503 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:Income.SmallBusinessEntityNet.Amount
            /// </summary>
            public decimal? TRT479 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:InternationalDealings.AssessableIncomeNonResidentBeneficiaryNonTrustee.Amount
            /// </summary>
            public decimal? TRT228 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:InternationalDealings.AssessableIncomeNonResidentBeneficiaryTrustee.Amount
            /// </summary>
            public decimal? TRT229 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.TrustBeneficiaryStatement.Indicator
            /// </summary>
            public bool? TRT344 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.Superannuation.TrusteeBeneficiaryTaxPreferred.Amount
            /// </summary>
            public decimal? TRT345 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary
            /// RP:tns:IncomeTax.Superannuation.TrusteeBeneficiaryUntaxedPartShareOfNetIncome.Amount
            /// </summary>
            public decimal? TRT346 = null;

            public bool StatementOfDistributionToBeneficiary_AnnualTrusteePaymentReportInformationCollectionExists = false;
            public int StatementOfDistributionToBeneficiary_AnnualTrusteePaymentReportInformationCollectionCount = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AnnualTrusteePaymentReportInformation
            /// RP:tns:Expense.DistributionBeneficiaryCloselyHeldTrust.Amount
            /// </summary>
            public decimal? TRT433 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:StatementOfDistributionToBeneficiary/tns:AnnualTrusteePaymentReportInformation
            /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount
            /// </summary>
            public decimal? TRT434 = null;
        }
    
        public bool IncomeNoBeneficiaryPresentlyEntitledCollectionExists = false;
        public int IncomeNoBeneficiaryPresentlyEntitledCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:IncomeTax.AssessmentCalculation.Code
        /// </summary>
        public string TRT230 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:Income.TrustEstateIncomeShare.Amount
        /// </summary>
        public decimal? TRT443 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        /// </summary>
        public decimal? TRT477 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        /// </summary>
        public decimal? TRT233 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RPPrim:tns:IncomeTax.IncomeOrLossTaxable.Amount
        /// </summary>
        public decimal? TRT234 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RPPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT543 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RPPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT544 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RPNonPrim:tns:IncomeTax.IncomeOrLossTaxable.Amount
        /// </summary>
        public decimal? TRT235 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RPNonPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT545 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RPNonPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT546 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
        /// </summary>
        public decimal? TRT236 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:Income.DistributionFranked.Amount
        /// </summary>
        public decimal? TRT444 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
        /// </summary>
        public decimal? TRT237 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount
        /// </summary>
        public decimal? TRT238 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount
        /// </summary>
        public decimal? TRT435 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:Income.CapitalGainsNet.Amount
        /// </summary>
        public decimal? TRT239 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:Capital.Gains.NonConcessionalManagedInvestmentTrustIncome.Amount
        /// </summary>
        public decimal? TRT547 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:Capital.Gains.ExcludedFromNonConcessionalManagedInvestmentTrustIncome.Amount
        /// </summary>
        public decimal? TRT548 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForCapitalGainsWithheldFromForeignResidents.Amount
        /// </summary>
        public decimal? TRT482 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:IncomeTax.AttributedForeignIncome.Amount
        /// </summary>
        public decimal? TRT240 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:Income.InternationalDealings.Net.Amount
        /// </summary>
        public decimal? TRT241 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:Income.InternationalDealings.TaxOffset.Amount
        /// </summary>
        public decimal? TRT242 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
        /// </summary>
        public decimal? TRT343 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RP:tns:IncomeTax.TaxOffsetRefundableOther.Amount
        /// </summary>
        public decimal? TRT466 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RPLimitedPartners:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? TRT504 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RPLimitedPartnersYPrevious:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? TRT505 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RPInvestor:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? TRT506 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:IncomeNoBeneficiaryPresentlyEntitled
        /// RPInvestorYPrevious:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? TRT507 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.AssessmentCalculation.Code
        /// </summary>
        public string TRT445 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.TrusteeAssessedCapitalGain.Amount
        /// </summary>
        public decimal? TRT446 = null;

        /// <summary>
        /// RP:tns:IncomeTax.BeneficiaryUnderLegalDisabilityAlsoPresentlyEntitledToIncomeFromAnotherTrust.Indicator
        /// </summary>
        public bool? TRT244 = null;

        /// <summary>
        /// RP:tns:Residency.TaxPurposesOrganisationStatus.Code
        /// </summary>
        public string TRT245 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.NonResidentTrustNonAustralianSourcedIncomeNoPresentEntitlement.Amount
        /// </summary>
        public decimal? TRT246 = null;

        /// <summary>
        /// RP:tns:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text
        /// </summary>
        public string TRT405 = null;

        /// <summary>
        /// RP:tns:Report.CompletionHours.Number
        /// </summary>
        public decimal? TRT247 = null;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public bool DeclarationCollection_TrueAndCorrect_RPExists = false;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPCount = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPOccurrenceIndex = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Last Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.StatementType.Code
        /// </summary>
        public string TRT383 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? TRT384 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.Statement.Text
        /// </summary>
        public string TRT385 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.Signature.Date
        /// </summary>
        public DateTime? TRT386 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string TRT387 = null;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
         /// </summary>
        public bool Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPExists = false;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Occurrence Index
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPOccurrenceIndex = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Last Occurrence Index
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string TRT388 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string TRT389 = null;

        public string RPPrimId = null;
        public bool RPPrimExists = false;
        public int RPPrimCount = 0;
        public int RPPrimOccurrenceIndex = 0;
        public int RPPrimLastOccurrenceIndex = 0;
        public string RPPrimIdentifier = null;
        public string RPPrimIdentifierScheme = null;
        public string RPPrimIdentifierTFN = null;
        public DateTime? RPPrimStartDate = null;
        public DateTime? RPPrimEndDate = null;

        /// <summary>
        /// RPPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT527 = null;

        /// <summary>
        /// RPPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT528 = null;

        public string RPNonPrimId = null;
        public bool RPNonPrimExists = false;
        public int RPNonPrimCount = 0;
        public int RPNonPrimOccurrenceIndex = 0;
        public int RPNonPrimLastOccurrenceIndex = 0;
        public string RPNonPrimIdentifier = null;
        public string RPNonPrimIdentifierScheme = null;
        public string RPNonPrimIdentifierTFN = null;
        public DateTime? RPNonPrimStartDate = null;
        public DateTime? RPNonPrimEndDate = null;

        /// <summary>
        /// RPNonPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT531 = null;

        /// <summary>
        /// RPNonPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT532 = null;

        public string RPJAUSId = null;
        public bool RPJAUSExists = false;
        public int RPJAUSCount = 0;
        public int RPJAUSOccurrenceIndex = 0;
        public int RPJAUSLastOccurrenceIndex = 0;
        public string RPJAUSIdentifier = null;
        public string RPJAUSIdentifierScheme = null;
        public string RPJAUSIdentifierTFN = null;
        public DateTime? RPJAUSStartDate = null;
        public DateTime? RPJAUSEndDate = null;

        /// <summary>
        /// RPJAUS:tns:Expense.ForeignResidentWithholding.Amount
        /// </summary>
        public decimal? TRT56 = null;

        /// <summary>
        /// RPJAUS:tns:Remuneration.WagesAndSalaries.PaymentsContractorAndConsultant.Amount
        /// </summary>
        public decimal? TRT57 = null;

        /// <summary>
        /// RPJAUS:tns:SuperannuationContribution.EmployerContributions.Amount
        /// </summary>
        public decimal? TRT58 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.CostOfSales.Amount
        /// </summary>
        public decimal? TRT467 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.BadDebts.Amount
        /// </summary>
        public decimal? TRT468 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.LeaseTotal.Amount
        /// </summary>
        public decimal? TRT61 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.Rent.Amount
        /// </summary>
        public decimal? TRT469 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.Interest.Amount
        /// </summary>
        public decimal? TRT470 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Royalties.Amount
        /// </summary>
        public decimal? TRT471 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.DepreciationAndAmortisation.Amount
        /// </summary>
        public decimal? TRT65 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.MotorVehicle.Amount
        /// </summary>
        public decimal? TRT472 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.RepairsAndMaintenance.Amount
        /// </summary>
        public decimal? TRT473 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.DeductibleOtherTotal.Amount
        /// </summary>
        public decimal? TRT68 = null;

        /// <summary>
        /// RPJAUS:tns:Income.ReconciliationAdjustmentTotal.Amount
        /// </summary>
        public decimal? TRT69 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.ReconciliationAdjustmentTotal.Amount
        /// </summary>
        public decimal? TRT447 = null;

        /// <summary>
        /// RPJAUS:tns:Income.SmallBusinessEntityNet.Amount
        /// </summary>
        public decimal? TRT478 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount
        /// </summary>
        public decimal? TRT73 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
        /// </summary>
        public decimal? TRT474 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount
        /// </summary>
        public decimal? TRT84 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
        /// </summary>
        public decimal? TRT85 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount
        /// </summary>
        public decimal? TRT86 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
        /// </summary>
        public decimal? TRT418 = null;

        /// <summary>
        /// RPJAUS:tns:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount
        /// </summary>
        public decimal? TRT87 = null;

        /// <summary>
        /// RPJAUS:tns:Income.Operating.RentalIncomeGross.Amount
        /// </summary>
        public decimal? TRT89 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Interest.Amount
        /// </summary>
        public decimal? TRT90 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.CapitalWorksDeduction.Amount
        /// </summary>
        public decimal? TRT91 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
        /// </summary>
        public decimal? TRT92 = null;

        /// <summary>
        /// RPJAUS:tns:Income.ForestryManagedInvestmentScheme.Amount
        /// </summary>
        public decimal? TRT93 = null;

        /// <summary>
        /// RPJAUS:tns:Income.Interest.Gross.Amount
        /// </summary>
        public decimal? TRT94 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount
        /// </summary>
        public decimal? TRT95 = null;

        /// <summary>
        /// RPJAUS:tns:Income.DividendsUnfranked.Amount
        /// </summary>
        public decimal? TRT96 = null;

        /// <summary>
        /// RPJAUS:tns:Income.DividendsFranked.Amount
        /// </summary>
        public decimal? TRT97 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.FrankingCredits.Amount
        /// </summary>
        public decimal? TRT98 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.DividendsTFNAmountsWithheld.Amount
        /// </summary>
        public decimal? TRT99 = null;
    
        public bool SuperannuationLumpSumWithholdingPaymentDetailsCollectionExists = false;
        public int SuperannuationLumpSumWithholdingPaymentDetailsCollectionCount = 0;

         /// <summary>
         /// [InsuranceBenefits.BeneficiaryType.Code='O']
         /// </summary>
        public bool SuperannuationLumpSumWithholdingPaymentDetailsCollection_O_RPJAUSExists = false;

         /// <summary>
         /// [InsuranceBenefits.BeneficiaryType.Code='O']
         /// </summary>
        public int SuperannuationLumpSumWithholdingPaymentDetailsCollection_O_RPJAUSCount = 0;

         /// <summary>
         /// [InsuranceBenefits.BeneficiaryType.Code='O'] Occurrence Index
         /// </summary>
        public int SuperannuationLumpSumWithholdingPaymentDetailsCollection_O_RPJAUSOccurrenceIndex = 0;

         /// <summary>
         /// [InsuranceBenefits.BeneficiaryType.Code='O'] Last Occurrence Index
         /// </summary>
        public int SuperannuationLumpSumWithholdingPaymentDetailsCollection_O_RPJAUSLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:SuperannuationLumpSumWithholdingPaymentDetails
        /// [InsuranceBenefits.BeneficiaryType.Code='O']
        /// RPJAUS:tns:SuperannuationBenefit.DeathBenefitLumpSumPaymentTaxedElement.Amount
        /// </summary>
        public decimal? TRT100 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SuperannuationLumpSumWithholdingPaymentDetails
        /// [InsuranceBenefits.BeneficiaryType.Code='O']
        /// RPJAUS:tns:SuperannuationBenefit.DeathBenefitLumpSumPaymentUntaxedElement.Amount
        /// </summary>
        public decimal? TRT101 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SuperannuationLumpSumWithholdingPaymentDetails
        /// [InsuranceBenefits.BeneficiaryType.Code='O']
        /// RPJAUS:tns:InsuranceBenefits.DeathBenefit.Indicator
        /// </summary>
        public bool? TRT408 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SuperannuationLumpSumWithholdingPaymentDetails
        /// [InsuranceBenefits.BeneficiaryType.Code='O']
        /// RPJAUS:tns:InsuranceBenefits.BeneficiaryType.Code
        /// </summary>
        public string TRT410 = null;
    
        public bool EmploymentTerminationPaymentDetailsCollectionExists = false;
        public int EmploymentTerminationPaymentDetailsCollectionCount = 0;

         /// <summary>
         /// [InsuranceBenefits.BeneficiaryType.Code='D']
         /// </summary>
        public bool EmploymentTerminationPaymentDetailsCollection_D_RPJAUSExists = false;

         /// <summary>
         /// [InsuranceBenefits.BeneficiaryType.Code='D']
         /// </summary>
        public int EmploymentTerminationPaymentDetailsCollection_D_RPJAUSCount = 0;

         /// <summary>
         /// [InsuranceBenefits.BeneficiaryType.Code='D'] Occurrence Index
         /// </summary>
        public int EmploymentTerminationPaymentDetailsCollection_D_RPJAUSOccurrenceIndex = 0;

         /// <summary>
         /// [InsuranceBenefits.BeneficiaryType.Code='D'] Last Occurrence Index
         /// </summary>
        public int EmploymentTerminationPaymentDetailsCollection_D_RPJAUSLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:EmploymentTerminationPaymentDetails
        /// [InsuranceBenefits.BeneficiaryType.Code='D']
        /// RPJAUS:tns:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount
        /// </summary>
        public decimal? TRT102 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:EmploymentTerminationPaymentDetails
        /// [InsuranceBenefits.BeneficiaryType.Code='D']
        /// RPJAUS:tns:InsuranceBenefits.DeathBenefit.Indicator
        /// </summary>
        public bool? TRT409 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:EmploymentTerminationPaymentDetails
        /// [InsuranceBenefits.BeneficiaryType.Code='D']
        /// RPJAUS:tns:InsuranceBenefits.BeneficiaryType.Code
        /// </summary>
        public string TRT411 = null;

         /// <summary>
         /// [InsuranceBenefits.BeneficiaryType.Code='O']
         /// </summary>
        public bool EmploymentTerminationPaymentDetailsCollection_O_RPJAUSExists = false;

         /// <summary>
         /// [InsuranceBenefits.BeneficiaryType.Code='O']
         /// </summary>
        public int EmploymentTerminationPaymentDetailsCollection_O_RPJAUSCount = 0;

         /// <summary>
         /// [InsuranceBenefits.BeneficiaryType.Code='O'] Occurrence Index
         /// </summary>
        public int EmploymentTerminationPaymentDetailsCollection_O_RPJAUSOccurrenceIndex = 0;

         /// <summary>
         /// [InsuranceBenefits.BeneficiaryType.Code='O'] Last Occurrence Index
         /// </summary>
        public int EmploymentTerminationPaymentDetailsCollection_O_RPJAUSLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:EmploymentTerminationPaymentDetails
        /// [InsuranceBenefits.BeneficiaryType.Code='O']
        /// RPJAUS:tns:SuperannuationBenefit.DeathBenefitEmploymentTerminationPaymentTaxableComponent.Amount
        /// </summary>
        public decimal? TRT103 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:EmploymentTerminationPaymentDetails
        /// [InsuranceBenefits.BeneficiaryType.Code='O']
        /// RPJAUS:tns:InsuranceBenefits.DeathBenefit.Indicator
        /// </summary>
        public bool? TRT412 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:EmploymentTerminationPaymentDetails
        /// [InsuranceBenefits.BeneficiaryType.Code='O']
        /// RPJAUS:tns:InsuranceBenefits.BeneficiaryType.Code
        /// </summary>
        public string TRT413 = null;
    
        public bool OtherAustralianIncomeCollectionExists = false;
        public int OtherAustralianIncomeCollectionCount = 0;

        public List<OtherAustralianIncome> OtherAustralianIncomeCollection = null;

        public class OtherAustralianIncome 
        {
            public int OccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:OtherAustralianIncome
            /// RPJAUS:tns:Income.Other.Description
            /// </summary>
            public string TRT120 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:OtherAustralianIncome
            /// RPJAUS:tns:Income.Other.Amount
            /// </summary>
            public decimal? TRT121 = null;
        }

        /// <summary>
        /// RPJAUS:tns:Income.ExceptedTrustNet.Amount
        /// </summary>
        public decimal? TRT122 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.AustralianGovernmentPensionsAndAllowancesTaxWithheld.Amount
        /// </summary>
        public decimal? TRT104 = null;

        /// <summary>
        /// RPJAUS:tns:Pension.Total.Amount
        /// </summary>
        public decimal? TRT105 = null;
    
        public bool IndividualNonBusinessWithholdingPaymentDetailsCollectionExists = false;
        public int IndividualNonBusinessWithholdingPaymentDetailsCollectionCount = 0;

        public List<IndividualNonBusinessWithholdingPaymentDetails> IndividualNonBusinessWithholdingPaymentDetailsCollection = null;

        public class IndividualNonBusinessWithholdingPaymentDetails 
        {
            public int OccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:IndividualNonBusinessWithholdingPaymentDetails
            /// RPJAUS:tns:Identifiers.AustralianBusinessNumber.Identifier
            /// </summary>
            public string TRT107 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:IndividualNonBusinessWithholdingPaymentDetails
            /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
            /// </summary>
            public decimal? TRT108 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:IndividualNonBusinessWithholdingPaymentDetails
            /// RPJAUS:tns:Remuneration.IndividualNonBusinessGross.Amount
            /// </summary>
            public decimal? TRT109 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:IndividualNonBusinessWithholdingPaymentDetails
            /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldUnusedAnnualOrLongServiceLeavePaymentLumpSumA.Amount
            /// </summary>
            public decimal? TRT110 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:IndividualNonBusinessWithholdingPaymentDetails
            /// RPJAUS:tns:Remuneration.UnusedAnnualLongServiceLeavePaymentLumpSumA.Amount
            /// </summary>
            public decimal? TRT111 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:IndividualNonBusinessWithholdingPaymentDetails
            /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldUnusedAnnualOrLongServiceLeavePaymentLumpSumB.Amount
            /// </summary>
            public decimal? TRT112 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:IndividualNonBusinessWithholdingPaymentDetails
            /// RPJAUS:tns:Remuneration.UnusedAnnualLongServiceLeavePaymentLumpSumB.Amount
            /// </summary>
            public decimal? TRT113 = null;
        }
    
        public bool SuperannuationIncomeStreamWithholdingPaymentDetailsCollectionExists = false;
        public int SuperannuationIncomeStreamWithholdingPaymentDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:SuperannuationIncomeStreamWithholdingPaymentDetails
        /// RPJAUS:tns:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
        /// </summary>
        public decimal? TRT114 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SuperannuationIncomeStreamWithholdingPaymentDetails
        /// RPJAUS:tns:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount
        /// </summary>
        public decimal? TRT115 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SuperannuationIncomeStreamWithholdingPaymentDetails
        /// RPJAUS:tns:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount
        /// </summary>
        public decimal? TRT116 = null;
    
        public bool SuperannuationIncomeStreamWithholdingPaymentDetails_LumpSumInArrearsCollectionExists = false;
        public int SuperannuationIncomeStreamWithholdingPaymentDetails_LumpSumInArrearsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:SuperannuationIncomeStreamWithholdingPaymentDetails/tns:LumpSumInArrears
        /// RPJAUS:tns:IncomeTax.Superannuation.TaxableComponentTaxedElement.Amount
        /// </summary>
        public decimal? TRT117 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:SuperannuationIncomeStreamWithholdingPaymentDetails/tns:LumpSumInArrears
        /// RPJAUS:tns:IncomeTax.Superannuation.TaxableComponentUntaxedElement.Amount
        /// </summary>
        public decimal? TRT118 = null;

        /// <summary>
        /// RPJAUS:tns:Remuneration.BonusesAndAllowances.Amount
        /// </summary>
        public decimal? TRT119 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.AustralianInvestmentAllowableDeduction.Amount
        /// </summary>
        public decimal? TRT123 = null;

        /// <summary>
        /// RPJAUS:tns:IncomeTax.Deduction.DistributionFranked.Amount
        /// </summary>
        public decimal? TRT439 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        /// </summary>
        public decimal? TRT124 = null;
    
        public bool OtherDeductionsCollectionExists = false;
        public int OtherDeductionsCollectionCount = 0;

        public List<OtherDeductions> OtherDeductionsCollection = null;

        public class OtherDeductions 
        {
            public int OccurrenceIndex = 0;
    
            /// <summary>
            /// /xbrli:xbrl/tns:OtherDeductions
            /// RPJAUS:tns:Expense.DeductibleOther.Text
            /// </summary>
            public string TRT128 = null;
    
            /// <summary>
            /// /xbrli:xbrl/tns:OtherDeductions
            /// RPJAUS:tns:Expense.DeductibleOther.Amount
            /// </summary>
            public decimal? TRT129 = null;
        }

        /// <summary>
        /// RPJAUS:tns:Income.Net.Amount
        /// </summary>
        public decimal? TRT130 = null;

        public string RPJFOREIGNId = null;
        public bool RPJFOREIGNExists = false;
        public int RPJFOREIGNCount = 0;
        public int RPJFOREIGNOccurrenceIndex = 0;
        public int RPJFOREIGNLastOccurrenceIndex = 0;
        public string RPJFOREIGNIdentifier = null;
        public string RPJFOREIGNIdentifierScheme = null;
        public string RPJFOREIGNIdentifierTFN = null;
        public DateTime? RPJFOREIGNStartDate = null;
        public DateTime? RPJFOREIGNEndDate = null;

        /// <summary>
        /// RPJFOREIGN:tns:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator
        /// </summary>
        public bool? TRT138 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Income.Other.Amount
        /// </summary>
        public decimal? TRT140 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Income.Net.Amount
        /// </summary>
        public decimal? TRT141 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Income.InternationalDealings.TaxOffset.Amount
        /// </summary>
        public decimal? TRT142 = null;

        /// <summary>
        /// RPJFOREIGN:tns:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        /// </summary>
        public decimal? TRT143 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Expense.Interest.Amount
        /// </summary>
        public decimal? TRT182 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Expense.Royalties.Amount
        /// </summary>
        public decimal? TRT183 = null;

        public string RPTOFAId = null;
        public bool RPTOFAExists = false;
        public int RPTOFACount = 0;
        public int RPTOFAOccurrenceIndex = 0;
        public int RPTOFALastOccurrenceIndex = 0;
        public string RPTOFAIdentifier = null;
        public string RPTOFAIdentifierScheme = null;
        public string RPTOFAIdentifierTFN = null;
        public DateTime? RPTOFAStartDate = null;
        public DateTime? RPTOFAEndDate = null;

        /// <summary>
        /// RPTOFA:tns:Income.GainsTotal.Amount
        /// </summary>
        public decimal? TRT356 = null;

        /// <summary>
        /// RPTOFA:tns:Expense.LossesTotal.Amount
        /// </summary>
        public decimal? TRT357 = null;

        public string RPClosingInstantId = null;
        public bool RPClosingInstantExists = false;
        public int RPClosingInstantCount = 0;
        public int RPClosingInstantOccurrenceIndex = 0;
        public int RPClosingInstantLastOccurrenceIndex = 0;
        public string RPClosingInstantIdentifier = null;
        public string RPClosingInstantIdentifierScheme = null;
        public string RPClosingInstantIdentifierTFN = null;
        public DateTime? RPClosingInstantInstantDate = null;

        /// <summary>
        /// RPClosingInstant:tns:Capital.Losses.CarriedForward.Net.Amount
        /// </summary>
        public decimal? TRT475 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.CurrentTotal.Amount
        /// </summary>
        public decimal? TRT156 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.Total.Amount
        /// </summary>
        public decimal? TRT157 = null;

        /// <summary>
        /// RPClosingInstant:tns:Liabilities.CurrentTotal.Amount
        /// </summary>
        public decimal? TRT158 = null;

        /// <summary>
        /// RPClosingInstant:tns:Liabilities.Total.Amount
        /// </summary>
        public decimal? TRT159 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.Inventories.Total.Amount
        /// </summary>
        public decimal? TRT168 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.Inventories.ValuationMethod.Code
        /// </summary>
        public string TRT169 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.TradeandReceivablesOther.Amount
        /// </summary>
        public decimal? TRT170 = null;

        /// <summary>
        /// RPClosingInstant:tns:Liabilities.TradeAndOtherPayablesTotal.Amount
        /// </summary>
        public decimal? TRT171 = null;

        /// <summary>
        /// RPClosingInstant:tns:IncomeTax.PrivateCompanyUnpaidPresentEntitlement.Amount
        /// </summary>
        public decimal? TRT186 = null;

        public string RPOpeningInstantId = null;
        public bool RPOpeningInstantExists = false;
        public int RPOpeningInstantCount = 0;
        public int RPOpeningInstantOccurrenceIndex = 0;
        public int RPOpeningInstantLastOccurrenceIndex = 0;
        public string RPOpeningInstantIdentifier = null;
        public string RPOpeningInstantIdentifierScheme = null;
        public string RPOpeningInstantIdentifierTFN = null;
        public DateTime? RPOpeningInstantInstantDate = null;

        /// <summary>
        /// RPOpeningInstant:tns:Assets.Inventories.Total.Amount
        /// </summary>
        public decimal? TRT166 = null;

        public string RPOpeningId = null;
        public bool RPOpeningExists = false;
        public int RPOpeningCount = 0;
        public int RPOpeningOccurrenceIndex = 0;
        public int RPOpeningLastOccurrenceIndex = 0;
        public string RPOpeningIdentifier = null;
        public string RPOpeningIdentifierScheme = null;
        public string RPOpeningIdentifierTFN = null;
        public DateTime? RPOpeningStartDate = null;
        public DateTime? RPOpeningEndDate = null;

        /// <summary>
        /// RPOpening:tns:TaxOffsetClaim.LandcareAndWaterFacilityBroughtForward.Amount
        /// </summary>
        public decimal? TRT147 = null;

        public string RPClosingId = null;
        public bool RPClosingExists = false;
        public int RPClosingCount = 0;
        public int RPClosingOccurrenceIndex = 0;
        public int RPClosingLastOccurrenceIndex = 0;
        public string RPClosingIdentifier = null;
        public string RPClosingIdentifierScheme = null;
        public string RPClosingIdentifierTFN = null;
        public DateTime? RPClosingStartDate = null;
        public DateTime? RPClosingEndDate = null;

        /// <summary>
        /// RPClosing:tns:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        /// </summary>
        public decimal? TRT145 = null;

        public string RPJAUSPrimId = null;
        public bool RPJAUSPrimExists = false;
        public int RPJAUSPrimCount = 0;
        public int RPJAUSPrimOccurrenceIndex = 0;
        public int RPJAUSPrimLastOccurrenceIndex = 0;
        public string RPJAUSPrimIdentifier = null;
        public string RPJAUSPrimIdentifierScheme = null;
        public string RPJAUSPrimIdentifierTFN = null;
        public DateTime? RPJAUSPrimStartDate = null;
        public DateTime? RPJAUSPrimEndDate = null;

        /// <summary>
        /// RPJAUSPrim:tns:Remuneration.ABNNotQuotedPaymentGross.Amount
        /// </summary>
        public decimal? TRT46 = null;

        /// <summary>
        /// RPJAUSPrim:tns:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        /// </summary>
        public decimal? TRT50 = null;

        /// <summary>
        /// RPJAUSPrim:tns:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator
        /// </summary>
        public bool? TRT361 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Income.Other.Amount
        /// </summary>
        public decimal? TRT54 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Income.Net.Amount
        /// </summary>
        public decimal? TRT71 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Income.PartnershipDistributionGross.Amount
        /// </summary>
        public decimal? TRT76 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Income.TrustShareNet.Amount
        /// </summary>
        public decimal? TRT77 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Party.TrustType.Code
        /// </summary>
        public string TRT353 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Expense.DistributionDeductionsOther.Amount
        /// </summary>
        public decimal? TRT79 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT523 = null;

        /// <summary>
        /// RPJAUSPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT524 = null;

        public string RPJAUSNonPrimId = null;
        public bool RPJAUSNonPrimExists = false;
        public int RPJAUSNonPrimCount = 0;
        public int RPJAUSNonPrimOccurrenceIndex = 0;
        public int RPJAUSNonPrimLastOccurrenceIndex = 0;
        public string RPJAUSNonPrimIdentifier = null;
        public string RPJAUSNonPrimIdentifierScheme = null;
        public string RPJAUSNonPrimIdentifierTFN = null;
        public DateTime? RPJAUSNonPrimStartDate = null;
        public DateTime? RPJAUSNonPrimEndDate = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Remuneration.ABNNotQuotedPaymentGross.Amount
        /// </summary>
        public decimal? TRT47 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Remuneration.PaymentToForeignResidentGross.Amount
        /// </summary>
        public decimal? TRT49 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        /// </summary>
        public decimal? TRT52 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator
        /// </summary>
        public bool? TRT362 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.Other.Amount
        /// </summary>
        public decimal? TRT55 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.Net.Amount
        /// </summary>
        public decimal? TRT72 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.PartnershipDistributionLessForeignIncome.Amount
        /// </summary>
        public decimal? TRT80 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount
        /// </summary>
        public decimal? TRT81 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Party.TrustType.Code
        /// </summary>
        public string TRT436 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Expense.DistributionDeductionsOther.Amount
        /// </summary>
        public decimal? TRT83 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.TrustDistributionFranked.Amount
        /// </summary>
        public decimal? TRT437 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:IncomeTax.Deduction.TrustDistributionFranked.Amount
        /// </summary>
        public decimal? TRT438 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT525 = null;

        /// <summary>
        /// RPJAUSNonPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT526 = null;

        public string RPJFOREIGNCFCLCId = null;
        public bool RPJFOREIGNCFCLCExists = false;
        public int RPJFOREIGNCFCLCCount = 0;
        public int RPJFOREIGNCFCLCOccurrenceIndex = 0;
        public int RPJFOREIGNCFCLCLastOccurrenceIndex = 0;
        public string RPJFOREIGNCFCLCIdentifier = null;
        public string RPJFOREIGNCFCLCIdentifierScheme = null;
        public string RPJFOREIGNCFCLCIdentifierTFN = null;
        public DateTime? RPJFOREIGNCFCLCStartDate = null;
        public DateTime? RPJFOREIGNCFCLCEndDate = null;

        /// <summary>
        /// RPJFOREIGNCFCLC:tns:Income.InternationalDealings.Attributed.Amount
        /// </summary>
        public decimal? TRT134 = null;

        public string RPJFOREIGNCFCUCId = null;
        public bool RPJFOREIGNCFCUCExists = false;
        public int RPJFOREIGNCFCUCCount = 0;
        public int RPJFOREIGNCFCUCOccurrenceIndex = 0;
        public int RPJFOREIGNCFCUCLastOccurrenceIndex = 0;
        public string RPJFOREIGNCFCUCIdentifier = null;
        public string RPJFOREIGNCFCUCIdentifierScheme = null;
        public string RPJFOREIGNCFCUCIdentifierTFN = null;
        public DateTime? RPJFOREIGNCFCUCStartDate = null;
        public DateTime? RPJFOREIGNCFCUCEndDate = null;

        /// <summary>
        /// RPJFOREIGNCFCUC:tns:Income.InternationalDealings.Attributed.Amount
        /// </summary>
        public decimal? TRT136 = null;

        public string RPLowCostId = null;
        public bool RPLowCostExists = false;
        public int RPLowCostCount = 0;
        public int RPLowCostOccurrenceIndex = 0;
        public int RPLowCostLastOccurrenceIndex = 0;
        public string RPLowCostIdentifier = null;
        public string RPLowCostIdentifierScheme = null;
        public string RPLowCostIdentifierTFN = null;
        public DateTime? RPLowCostStartDate = null;
        public DateTime? RPLowCostEndDate = null;

        /// <summary>
        /// RPLowCost:tns:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
        /// </summary>
        public decimal? TRT189 = null;

        public string RPGeneralPoolId = null;
        public bool RPGeneralPoolExists = false;
        public int RPGeneralPoolCount = 0;
        public int RPGeneralPoolOccurrenceIndex = 0;
        public int RPGeneralPoolLastOccurrenceIndex = 0;
        public string RPGeneralPoolIdentifier = null;
        public string RPGeneralPoolIdentifierScheme = null;
        public string RPGeneralPoolIdentifierTFN = null;
        public DateTime? RPGeneralPoolStartDate = null;
        public DateTime? RPGeneralPoolEndDate = null;

        /// <summary>
        /// RPGeneralPool:tns:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
        /// </summary>
        public decimal? TRT190 = null;

        public string RPInvestorId = null;
        public bool RPInvestorExists = false;
        public int RPInvestorCount = 0;
        public int RPInvestorOccurrenceIndex = 0;
        public int RPInvestorLastOccurrenceIndex = 0;
        public string RPInvestorIdentifier = null;
        public string RPInvestorIdentifierScheme = null;
        public string RPInvestorIdentifierTFN = null;
        public DateTime? RPInvestorStartDate = null;
        public DateTime? RPInvestorEndDate = null;

        /// <summary>
        /// RPInvestor:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? TRT501 = null;

        public string RPLimitedPartnersId = null;
        public bool RPLimitedPartnersExists = false;
        public int RPLimitedPartnersCount = 0;
        public int RPLimitedPartnersOccurrenceIndex = 0;
        public int RPLimitedPartnersLastOccurrenceIndex = 0;
        public string RPLimitedPartnersIdentifier = null;
        public string RPLimitedPartnersIdentifierScheme = null;
        public string RPLimitedPartnersIdentifierTFN = null;
        public DateTime? RPLimitedPartnersStartDate = null;
        public DateTime? RPLimitedPartnersEndDate = null;

        /// <summary>
        /// RPLimitedPartners:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? TRT500 = null;

        public string RPInvestorYPreviousId = null;
        public bool RPInvestorYPreviousExists = false;
        public int RPInvestorYPreviousCount = 0;
        public int RPInvestorYPreviousOccurrenceIndex = 0;
        public int RPInvestorYPreviousLastOccurrenceIndex = 0;
        public string RPInvestorYPreviousIdentifier = null;
        public string RPInvestorYPreviousIdentifierScheme = null;
        public string RPInvestorYPreviousIdentifierTFN = null;
        public DateTime? RPInvestorYPreviousStartDate = null;
        public DateTime? RPInvestorYPreviousEndDate = null;

        public string RPLimitedPartnersYPreviousId = null;
        public bool RPLimitedPartnersYPreviousExists = false;
        public int RPLimitedPartnersYPreviousCount = 0;
        public int RPLimitedPartnersYPreviousOccurrenceIndex = 0;
        public int RPLimitedPartnersYPreviousLastOccurrenceIndex = 0;
        public string RPLimitedPartnersYPreviousIdentifier = null;
        public string RPLimitedPartnersYPreviousIdentifierScheme = null;
        public string RPLimitedPartnersYPreviousIdentifierTFN = null;
        public DateTime? RPLimitedPartnersYPreviousStartDate = null;
        public DateTime? RPLimitedPartnersYPreviousEndDate = null;

        public string RPSharePrimId = null;
        public bool RPSharePrimExists = false;
        public int RPSharePrimCount = 0;
        public int RPSharePrimOccurrenceIndex = 0;
        public int RPSharePrimLastOccurrenceIndex = 0;
        public string RPSharePrimIdentifier = null;
        public string RPSharePrimIdentifierScheme = null;
        public string RPSharePrimIdentifierTFN = null;
        public DateTime? RPSharePrimStartDate = null;
        public DateTime? RPSharePrimEndDate = null;

        /// <summary>
        /// RPSharePrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT529 = null;

        /// <summary>
        /// RPSharePrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT530 = null;

        public string RPShareNonPrimId = null;
        public bool RPShareNonPrimExists = false;
        public int RPShareNonPrimCount = 0;
        public int RPShareNonPrimOccurrenceIndex = 0;
        public int RPShareNonPrimLastOccurrenceIndex = 0;
        public string RPShareNonPrimIdentifier = null;
        public string RPShareNonPrimIdentifierScheme = null;
        public string RPShareNonPrimIdentifierTFN = null;
        public DateTime? RPShareNonPrimStartDate = null;
        public DateTime? RPShareNonPrimEndDate = null;

        /// <summary>
        /// RPShareNonPrim:tns:Income.NonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT533 = null;

        /// <summary>
        /// RPShareNonPrim:tns:Income.ExcludedFromNonConcessionalManagedInvestmentTrust.Amount
        /// </summary>
        public decimal? TRT534 = null;

    }
}
